Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.modeshape.graph.xml
Enum XmlHandler.ElementEntryState

    java.lang.Object
      java.lang.Enum<XmlHandler.ElementEntryState>
          org.modeshape.graph.xml.XmlHandler.ElementEntryState

All Implemented Interfaces:
  Serializable, Comparable<XmlHandler.ElementEntryState>

Enclosing class:
  XmlHandler

    protected static enum XmlHandler.ElementEntryState

extends Enum<XmlHandler.ElementEntryState>

Possible states for an `ElementEntry` instance. All element entries start in state `TBD` and then transition to one of the terminating states, `NODE` or `PROPERTY` when `ElementEntry#addAsPropertySetTo(Object)` is invoked.

Enum Constant Summary
`NODE`
`PROPERTY`
`TBD`

Method Summary
`static XmlHandler.ElementEntryState` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static XmlHandler.ElementEntryState[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### NODE

    public static final XmlHandler.ElementEntryState NODE

### PROPERTY

    public static final XmlHandler.ElementEntryState PROPERTY

### TBD

    public static final XmlHandler.ElementEntryState TBD

Method Detail

### values

    public static XmlHandler.ElementEntryState[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (XmlHandler.ElementEntryState c : XmlHandler.ElementEntryState.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static XmlHandler.ElementEntryState valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2008-2012 JBoss, a division of Red Hat. All Rights Reserved.